petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPLCD

Implements the LCD (left conjugate direction) method in PETSc.

### Options Database Keys

| -ksp_lcd_restart | - number of vectors conjudate
| -ksp_lcd_haptol | - tolerance for exact convergence (happing ending)

### Notes

Support only for left preconditioning

### References

| 1. | - J.Y. Yuan, G.H.Golub, R.J. Plemmons, and W.A.G. Cecilio. Semiconjugate direction methods for real positive definite system. BIT Numerical Mathematics, 44(1),2004.
| 2. | - Y. Dai and J.Y. Yuan. Study on semiconjugate direction methods for nonsymmetric systems. International Journal for Numerical Methods in Engineering, 60, 2004.
| 3. | - L. Catabriga, A.L.G.A. Coutinho, and L.P.Franca. Evaluating the LCD algorithm for solving linear systems of equations arising from implicit SUPG formulation of compressible flows. International Journal for Numerical Methods in Engineering, 60, 2004
| 4. | - L. Catabriga, A. M. P. Valli, B. Z. Melotti, L. M. Pessoa, A. L. G. A. Coutinho, Performance of LCD iterative method in the finite element and finite difference solution of convection diffusion equations, Communications in Numerical Methods in Engineering, (Early View).

Contributed by: Lucia Catabriga <luciac@ices.utexas.edu>

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP,
KSPCGSetType(), KSPLCDSetRestart(), KSPLCDSetHapTol()

### Level

beginner

### Location

src/ksp/ksp/impls/lcd/lcd.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages